Description

In the table below, the configuration for the test database is provided. The database has only a custom domain and a table called test.test

created.

CREATE EXTENSION postgis;

DROP SCHEMA IF EXISTS test CASCADE;

CREATE SCHEMA test;

CREATE TYPE test.domain_test AS ENUM ('value1', 'value2', 'value3');

CREATE TABLE test.test

(

  id bigint NOT NULL PRIMARY KEY,

  geom geometry(Linestring, 32628),

  date_field timestamp with time zone,

  domain_field test.domain_test NOT NULL,

  boolean_field boolean,

  comments text

);

Database configuration

After we load the test table, if we check the properties of the layer fields by going to “Layer” > “Properties …” > “Fields” we can see that

although the type name is correctly filled in, the edit widgets are always “Text Edit” by default:

http://img.fenixzone.net/i/LEX92cW.png

With the default configuration, when we try to insert a new feature, every input box in the fold is a text edit box:

http://img.fenixzone.net/i/Z3DztLA.png

However, we want to make the process of entering data as easy as possible for our GIS user by providing the most useful widget for each

data type. For example, something like:

http://img.fenixzone.net/i/fBCRIYU.png

In that case we had to manually set every field as it is shown in the image below:

http://img.fenixzone.net/i/awX0Q76.png

The problem, besides to automatically recognition of data types, is that this manual process is quite tedious, time consuming (we have
more close to one hundred tables) and error prone. Even if we provide to our users a prepared project with the correct configuration, the

system could grow or they could have to configure the project again to add different layers.

Is there any utility in QGIS that could help us to make this process in an automatic way?

Related issues:

Duplicated by QGIS Application - Bug report # 15517: Automatic recognition of... Closed 2016-09-02

History

#1 - 2016-09-02 01:38 AM - Jürgen Fischer

- Tracker changed from Bug report to Feature request

#2 - 2016-09-02 07:52 AM - Jürgen Fischer

See also PR#3439

#3 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No

#4 - 2017-09-22 09:55 AM - Jürgen Fischer

- Category set to Unknown
https://github.com/qgis/QGIS/pull/3439

